PAPI_get_cmp_opt(3)

NAME
PAPI_get_cmp_opt - Get component specific PAPI options.

SYNOPSIS

Detailed Description

Parameters
    option is an input parameter describing the course of action. Possible values are defined in papi.h and briefly described in the table below. The Fortran calls are implementations of specific options.
    ptr is a pointer to a structure that acts as both an input and output parameter.
    cidx An integer identifier for a component. By convention, component 0 is always the cpu component.

Return values
    PAPI_EINVAL One or more of the arguments is invalid.

PAPI_get_opt() and PAPI_set_opt() query or change the options of the PAPI library or a specific event set created by PAPI_create_eventset . Some options may require that the eventset be bound to a component before they can execute successfully. This can be done either by adding an event or by explicitly calling PAPI_assign_eventset_component .

The C interface for these functions passes a pointer to the PAPI_option_t structure. Not all options require or return information in this structure, and not all options are implemented for both get and set. Some options require a component index to be provided. These options are handled explicitly by the PAPI_get_cmp_opt() call for 'get' and implicitly through the option structure for 'set'. The Fortran interface is a series of calls implementing various subsets of the C interface. Not all options in C are available in Fortran.

Note
    Some options, such as PAPI_DOMAIN and PAPI_MULTIPLEX, are also available as separate entry points in both C and Fortran.

The reader is urged to see the example code in the PAPI distribution for usage of PAPI_get_opt. The file papi.h contains definitions for the structures unioned in the PAPI_option_t structure.

See also
    PAPI_set_debug PAPI_set_multiplex PAPI_set_domain PAPI_option_t

Author

Generated automatically by Doxygen for PAPI from the source code.